com.trendmicro.ds.platform.rest.object.sessions

## Class Session

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.sessions.Session

-     public class Session
      extends java.lang.Object

  Session details

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Session()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Administrator` | `getAdministrator()` Get the administrator details.
    `java.lang.Long` | `getCreated()` Get the time when the session was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `java.util.List<java.lang.String>` | `getRights()` Get the list of rights assigned to the current user.
    `void` | `setAdministrator(Administrator administrator)` Set the administrator details.
    `void` | `setCreated(java.lang.Long created)` Set the time when the session was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `void` | `setRights(java.util.List<java.lang.String> rights)` Set the list of rights assigned to the current user.
    `Session` | `withAdministrator(Administrator administrator)` Set the administrator details.
    `Session` | `withCreated(java.lang.Long created)` Set the time when the session was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `Session` | `withRights(java.util.List<java.lang.String> rights)` Set the list of rights assigned to the current user.
    `Session` | `withRights(java.lang.String... rights)` Set the list of rights assigned to the current user.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Session

          public Session()

  - ### Method Detail

    - #### getAdministrator

          public Administrator getAdministrator()

      Get the administrator details.
      Returns:
        the administrator details.

    - #### setAdministrator

          public void setAdministrator(Administrator administrator)

      Set the administrator details.
      Parameters:
        `administrator` - The administrator details.

    - #### withAdministrator

          public Session withAdministrator(Administrator administrator)

      Set the administrator details.
      Parameters:
        `administrator` - The administrator details.
      Returns:
        the updated Session object.

    - #### getCreated

          public java.lang.Long getCreated()

      Get the time when the session was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:
        when the session was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### setCreated

          public void setCreated(java.lang.Long created)

      Set the time when the session was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Parameters:
        `created` - When the session was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### withCreated

          public Session withCreated(java.lang.Long created)

      Set the time when the session was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Parameters:
        `created` - When the session was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:
        the updated Session object.

    - #### getRights

          public java.util.List<java.lang.String> getRights()

      Get the list of rights assigned to the current user.
      Returns:
        the list of rights assigned to the current user.

    - #### setRights

          public void setRights(java.util.List<java.lang.String> rights)

      Set the list of rights assigned to the current user.
      Parameters:
        `rights` - the list of rights assigned to the current user.

    - #### withRights

          public Session withRights(java.util.List<java.lang.String> rights)

      Set the list of rights assigned to the current user.
      Parameters:
        `rights` - the list of rights assigned to the current user.
      Returns:
        the updated Session object.

    - #### withRights

          public Session withRights(java.lang.String... rights)

      Set the list of rights assigned to the current user.
      Parameters:
        `rights` - the list of rights assigned to the current user.
      Returns:
        the updated Session object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.